import { postRegData } from '@/lib/postRegData';
import { redirect  } from 'next/navigation';


const addUser = async (formData) => {
    "use server";
    const id = formData.get("id");
    const email = formData.get("email");
    const password = formData.get("password");    
    const newdata = {
        id,
        email,
        password
    };

    try {
        const response = await postRegData(newdata);
        console.log(response);
        if (!response) {
            throw new Error('Failed to submit form data');
        }
        console.log('Form data submitted successfully');
        return redirect('/');
    } catch (err) {
        console.error('Error submitting form data:', err.message);
    }
};


const RegForm = () => {    
  return (
    <div className='container mx-auto'>
      <form action={addUser} className="max-w-md mx-auto mt-8 p-6 border border-indigo-600">
        <div className="mb-4">
          <label htmlFor="id" className="block mb-2">ID</label>
          <input
            type="number"
            name="id"
            className="w-full border border-gray-300 rounded-md px-3 py-2"
            required
          />
        </div>
        <div className="mb-4">
          <label htmlFor="email" className="block mb-2">Email</label>
          <input
            type="email"
            name="email"
            className="w-full border border-gray-300 rounded-md px-3 py-2"
            required
          />
        </div>
        <div className="mb-4">
          <label htmlFor="password" className="block mb-2">Password</label>
          <input
            type="password"
            name="password"
            className="w-full border border-gray-300 rounded-md px-3 py-2"
            required
          />
        </div>
        <button type="submit" className="bg-blue-500 text-white py-2 px-4 rounded-md hover:bg-blue-600">
          Submit
      </button>
      </form>
    </div>
  );
};

export default RegForm;

